group "AgreementAndEffectiveDates.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 3 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
agreementDate, executionDateTime?, effectiveDate

Content Model Elements (3):

  agreementDate,
  effectiveDate (defined in AgreementAndEffectiveDates.model group),
  executionDateTime (defined in AgreementAndEffectiveDates.model group)

Known Usage Locations

- In definitions of global complexTypes (2):
  TradeAmendmentContent, TradeChangeBase

Annotation
A model group defining agreement and effective dates.
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="AgreementAndEffectiveDates.model"> <xsd:sequence> <xsd:element name="agreementDate" type="xsd:date"/> <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"/> <xsd:element name="effectiveDate" type="xsd:date"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
agreementDate

  Type: | xsd:date, predefined, simple content

  The date on which the change was agreed.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="agreementDate" type="xsd:date"/>

effectiveDate

  Type: | xsd:date, predefined, simple content

  The date on which the change become effective.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="effectiveDate" type="xsd:date"/>

executionDateTime

  Type: | ExecutionDateTime, simple content

  The date and time at which the change was agreed.
  Simple Content

  xsd:dateTime

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="executionDateTime" type="ExecutionDateTime"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.